Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dePluginZLib Class Reference

`#include <dePlugins_priv.hpp>`

Inheritance diagram for dePluginZLib:

[legend]
Collaboration diagram for dePluginZLib:

[legend]
List of all members.

## Public Member Functions
| dePluginZLib ()
| ~dePluginZLib ()
void * | GetInterface (IdePlugin::interface_t i)
int | Release ()
deBoolean | EncodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)
deBoolean | DecodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)
DWORD | MaxEncodeLength (DWORD Length)
DWORD | MaxDecodeLength (void *Buffer)
deBoolean | SetType (DataType Type)
deBoolean | SetCompressAmount (long Amount)
## Private Types
typedef dePluginZLib::ZLibHeader | ZLibHeader
## Private Attributes
DataType | priv_DataType
long | priv_CompressAmount

## Member Typedef Documentation

typedef struct dePluginZLib::ZLibHeader dePluginZLib::ZLibHeader`[private]`

## Constructor & Destructor Documentation

dePluginZLib::dePluginZLib | ( |  | ) |

dePluginZLib::~dePluginZLib | ( |  | ) |

## Member Function Documentation

deBoolean dePluginZLib::DecodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[virtual]`

| Implements dePlugin.

deBoolean dePluginZLib::EncodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[virtual]`

| Implements dePlugin.

void * dePluginZLib::GetInterface | ( | IdePlugin::interface_t | i | ) |

| Reimplemented from dePlugin.

DWORD dePluginZLib::MaxDecodeLength | ( | void * | Buffer | ) | `[virtual]`

| Implements dePlugin.

DWORD dePluginZLib::MaxEncodeLength | ( | DWORD | Length | ) | `[virtual]`

| Implements dePlugin.

int dePluginZLib::Release | ( |  | ) |

| Reimplemented from dePlugin.

deBoolean dePluginZLib::SetCompressAmount | ( | long | Amount | ) | `[virtual]`

| Implements IdePluginZLib.

deBoolean dePluginZLib::SetType | ( | DataType | Type | ) | `[virtual]`

| Implements IdePluginZLib.

## Member Data Documentation

long dePluginZLib::priv_CompressAmount`[private]`

DataType dePluginZLib::priv_DataType`[private]`

The documentation for this class was generated from the following files:

- dePlugins_priv.hpp
- dePluginZLib.cpp